=== debian/changelog ===
deepin-album (5.8.9-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. 

 -- Boyuan Yang <byang@debian.org>  Fri, 15 Oct 2021 17:28:28 -0400

deepin-album (5.8.9-1~exp1) experimental; urgency=low
  [ Clay Stan ]
  * Update debian/*

  [ Hu Feng ]
  *debian/control:
  * debian/copyright: Update license information.
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository and Repository-Browse.

  [Ma Aiguo]
  * Initial package (Closes: #975107)

 -- Ma Aiguo <imaiguo@gmail.com>  Wed, 26 May 2021 14:35:38 +0800
