=== debian/control ===
Source: deepin-album
Section: utils
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders: Ma Aiguo <imaiguo@gmail.com>,
Build-Depends:
  cmake,
  debhelper-compat (= 13),
  qtbase5-dev,
  pkg-config,
  libexif-dev,
  libqt5svg5-dev,
  libqt5x11extras5-dev,
  qttools5-dev-tools,
  qttools5-dev,
  libxcb-util0-dev,
  libstartup-notification0-dev,
  libraw-dev,
  libfreeimage-dev,
  libqt5opengl5-dev,
  qtbase5-private-dev,
  qtmultimedia5-dev,
  x11proto-xext-dev,
  libmtdev-dev,
  libegl1-mesa-dev,
  libudev-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
  libglib2.0-dev,
  libxrender-dev,
  libdtkwidget-dev,
  libdtkwidget5-bin,
  libdtkcore5-bin,
  libgio-qt-dev,
  libudisks2-qt5-dev,
  deepin-gettext-tools
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/linuxdeepin/deepin-album
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-album.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-album

Package: deepin-album
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: album application for Deepin Desktop Environment
 Deepin-album is a fashion photo manager for viewing and organizing pictures.
 deepin-album supports command line, mouse drag method to import photos.
 deepin-album supports single browsing and timeline browsing modes.
