## deepin-album 5.9.1%2Bdfsg

=== debian/control ===
Source: deepin-album
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Ma Aiguo <imaiguo@gmail.com>,
 Arun Kumar Pariyar <arun@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 deepin-gettext-tools,
 libavformat-dev,
 libdtkcore5-bin,
 libdtkwidget-dev,
 libdtkwidget5-bin,
 libegl1-mesa-dev,
 libexif-dev,
 libffmpegthumbnailer-dev,
 libfontconfig1-dev,
 libfreeimage-dev,
 libfreetype6-dev,
 libgio-qt-dev,
 libglib2.0-dev,
 libmtdev-dev,
 libqt5opengl5-dev,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libraw-dev,
 libstartup-notification0-dev,
 libudev-dev,
 libudisks2-qt5-dev,
 libxcb-util-dev,
 libxrender-dev,
 pkg-config,
 qtbase5-dev,
 qtbase5-private-dev,
 qtmultimedia5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 x11proto-xext-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/linuxdeepin/deepin-album
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-album.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-album

Package: deepin-album
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: album application for Deepin Desktop Environment
 Deepin-album is a fashion photo manager for viewing and organizing pictures.
 deepin-album supports command line, mouse drag method to import photos.
 deepin-album supports single browsing and timeline browsing modes.
