=== debian/changelog ===
deepin-album (5.9.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/0004-Fix-FTBFS-due-to-missing-header.patch:
    Add missing header to avoid FTBFS. (Closes: #1096248)

 -- Boyuan Yang <byang@debian.org>  Mon, 17 Feb 2025 15:46:50 -0500

deepin-album (5.9.1+dfsg-2) unstable; urgency=medium

  * debian/rules: disable LTO (Closes: #1015381).
  * debian/patches:
    + Fix ftbfs with ffmpeg7 (Closes: #1078276).
    + Fix ftbfs in double build with ts file (Closes: #1045124).

 -- Arun Kumar Pariyar <arun@debian.org>  Sat, 14 Sep 2024 17:50:59 +0545

deepin-album (5.9.1+dfsg-1) unstable; urgency=medium

  * debian/copyright: Update copyright information.
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Replace libxcb-util0-dev with libxcb-util-dev.
    + Add myself to Uploaders list.
  * debian/patches: Add patch to fix FTBFS
    missing DComboBox header (Closes: #1008345).
  * debian/watch: Update watch file for dfsg repack.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Fri, 01 Apr 2022 00:02:10 +0545

deepin-album (5.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Add new build-dep:
    + libffmpegthumbnailer-dev.
    + libavformat-dev.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Jan 2022 15:36:06 -0500
