=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: deepin-album
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Ma Aiguo <imaiguo@gmail.com>,
  Arun Kumar Pariyar <arun@debian.org>,
