=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%deepin-album-$1.tar.gz%" \
   https://github.com/linuxdeepin/deepin-album/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
