=== src/CMakeLists.txt ===
--- 
+++ 
@@ -30,15 +30,9 @@
 include_directories(album/controller)
 include_directories(album/dbmanager)
 include_directories(album/dialogs)
-include_directories(album/frame)
 include_directories(album/imageengine)
 include_directories(album/importtimelineview)
 include_directories(album/importview)
-include_directories(album/module)
-include_directories(album/module/slideshow)
-include_directories(album/module/view)
-include_directories(album/module/view/scen)
-include_directories(album/module/view/contents)
 include_directories(album/searchview)
 include_directories(album/thumbnail)
 include_directories(album/timelineview)
@@ -49,6 +43,7 @@
 include_directories(/usr/include/gio-qt)
 include_directories(/usr/include/udisks2-qt5)
 include_directories(/usr/include/glib-2.0)
+include_directories(/usr/include/libimageviewer)
 include_directories(/usr/lib/x86_64-linux-gnu/glib-2.0/include)
 
 aux_source_directory(./album allSource)
@@ -57,15 +52,9 @@
 aux_source_directory(./album/controller allSource)
 aux_source_directory(./album/dbmanager allSource)
 aux_source_directory(./album/dialogs allSource)
-aux_source_directory(./album/frame allSource)
 aux_source_directory(./album/imageengine allSource)
 aux_source_directory(./album/importtimelineview allSource)
 aux_source_directory(./album/importview allSource)
-aux_source_directory(./album/module allSource)
-aux_source_directory(./album/module/slideshow allSource)
-aux_source_directory(./album/module/view allSource)
-aux_source_directory(./album/module/view/scen allSource)
-aux_source_directory(./album/module/view/contents allSource)
 aux_source_directory(./album/searchview allSource)
 aux_source_directory(./album/settings/slideshow allSource)
 aux_source_directory(./album/thumbnail allSource)
@@ -115,15 +104,9 @@
     aux_source_directory(./../tests/controller allTestSource)
     aux_source_directory(./../tests/dbmanager allTestSource)
     aux_source_directory(./../tests/dialogs allTestSource)
-    aux_source_directory(./../tests/frame allTestSource)
     aux_source_directory(./../tests/imageengine allTestSource)
     aux_source_directory(./../tests/importtimelineview allTestSource)
     aux_source_directory(./../tests/importview allTestSource)
-    aux_source_directory(./../tests/module allTestSource)
-    aux_source_directory(./../tests/module/slideshow allTestSource)
-    aux_source_directory(./../tests/module/view allTestSource)
-    aux_source_directory(./../tests/module/view allTestSource)
-    aux_source_directory(./../tests/module/view allTestSource)
     aux_source_directory(./../tests/searchview allTestSource)
     aux_source_directory(./../tests/thumbnail allTestSource)
     aux_source_directory(./../tests/timelineview allTestSource)
@@ -135,15 +118,9 @@
     aux_source_directory(./album/controller allTestSource)
     aux_source_directory(./album/dbmanager allTestSource)
     aux_source_directory(./album/dialogs allTestSource)
-    aux_source_directory(./album/frame allTestSource)
     aux_source_directory(./album/imageengine allTestSource)
     aux_source_directory(./album/importtimelineview allTestSource)
     aux_source_directory(./album/importview allTestSource)
-    aux_source_directory(./album/module allTestSource)
-    aux_source_directory(./album/module/slideshow allTestSource)
-    aux_source_directory(./album/module/view allTestSource)
-    aux_source_directory(./album/module/view/scen allTestSource)
-    aux_source_directory(./album/module/view/contents allTestSource)
     aux_source_directory(./album/searchview allTestSource)
     aux_source_directory(./album/settings/slideshow allTestSource)
     aux_source_directory(./album/thumbnail allTestSource)
@@ -157,6 +134,7 @@
         "./album/application.cpp"
         "./album/mainwindow.cpp"
         "./album/fileinotify.cpp"
+        "./album/fileinotifygroup.cpp"
         )
 
     add_executable(${PROJECT_NAME_TEST} ${allHeaders} ${AllTestQRC} ${allTestSource} ${allTestSource1})
@@ -197,16 +175,16 @@
 
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(3rd_lib REQUIRED
-        dtkwidget dtkgui gio-qt udisks2-qt5
+        dtkwidget dtkcore gio-qt udisks2-qt5
         )
 target_include_directories(${PROJECT_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS})
 if(DOTEST)
     target_include_directories(${PROJECT_NAME_TEST} PUBLIC ${3rd_lib_INCLUDE_DIRS})
 endif()
 
-target_link_libraries(${PROJECT_NAME} ${3rd_lib_LIBRARIES} freeimage)
-if(DOTEST)
-    target_link_libraries(${PROJECT_NAME_TEST} ${3rd_lib_LIBRARIES} freeimage)
+target_link_libraries(${PROJECT_NAME} Qt5::WidgetsPrivate ${3rd_lib_LIBRARIES} freeimage imageviewer)
+if(DOTEST)
+    target_link_libraries(${PROJECT_NAME_TEST} ${3rd_lib_LIBRARIES} freeimage imageviewer)
 endif()
 #------------------添加第三方库end--------------------------#
