=== debian/changelog ===
deepin-album (5.9.10-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 15 Feb 2022 15:04:27 +0800

deepin-album (1.0) unstable; urgency=medium

  * Pre-release for deepin album 5.0

 -- TagBuilder <tagbuilder@deepin.com>  Mon, 23 May 2016 14:20:26 +0000
