=== debian/changelog ===
deepin-album (5.10.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 10 May 2022 18:31:01 +0800
