=== debian/changelog ===
deepin-album (5.10.4-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 26 Jul 2022 14:11:11 +0800
