=== debian/changelog ===
deepin-album (5.10.13-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 31 Mar 2023 10:34:44 +0800

deepin-album (5.10.13) unstable; urgency=medium

  * fix flash back of USB flash drive in loongarch architecture.

 -- TagBuilder <tagbuilder@deepin.com>  Thu, 30 Mar 2023 15:41:44 +0000

deepin-album (5.10.12) unstable; urgency=medium

  * update version to 5.10.12

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 10 Mar 2023 09:54:35 +0000

deepin-album (5.10.11) unstable; urgency=medium

  * use xwininfo method to show file name and path.

 -- TagBuilder <tagbuilder@deepin.com>  Tue, 21 Feb 2023 16:00:26 +0000
