=== debian/changelog ===
deepin-album (5.10.21-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 12 Dec 2023 19:54:49 +0800

deepin-album (5.10.21) unstable; urgency=medium

  * Update version to 5.10.21 community
  * feat: add image classification
  * feat: adapt imageclassify Bus Iface
  * feat: add image classification 1st
  * fix: Resolve the issue of no images in trash after deleting images(Bug: 231739)
  * fix: Solve the problem of image classification search results not being able to play slides(Bug: 232541)
  * fix: Disabled right-click menu for photo classification cover page(Bug: 232551)
  * fix: Right click on the photo classification detail page to add a slideshow function(Bug: 232599)
  * fix: Hide search box on photo classification cover page(Bug: 232637)
  * fix: Resolve the issue of invalid delete key on photo classification detail page(Bug: 232631)
  * fix: Resolve the issue of entering slide mode after viewing images and exiting without a title bar(Bug: 232641)
  * fix: Resolve the issue of being able to close alt+F4 when importing progress bars(Bug: 232643)
  * fix: Hide search box on photo classification cover page(Bug: 232787)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 12 Dec 2023 17:03:06 +0800

deepin-album (5.10.20) unstable; urgency=medium

  * fix: Fix the issue of empty interface after exiting the slide show(Bug: 205055)
  * fix: Fix the issue of clicking on the album button on the cloud getting stuck(Bug: 226477)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 09 Nov 2023 14:03:50 +0800

deepin-album (5.10.19) unstable; urgency=medium

  * fix: Adapt to compact mode.(Influence: CompactMode)
  * fix: Adapt comapct mode with click image.(Influence: CompactMode)
  * fix: Title bar disappear when open without args.(Influence: TitleBar)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 31 May 2023 13:37:52 +0800

deepin-album (5.10.18) unstable; urgency=medium

  * Update version to 5.10.18 community

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Apr 2023 15:54:47 +0800

deepin-album (5.10.17) unstable; urgency=medium

  * chore: 相册强依赖image-editor 1.0.29以上版本(Bug: 197551)
  * fixed an issue where clicking the large Image - Delete button on the lower version album did not work.

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 26 Apr 2023 15:47:00 +0800

deepin-album (5.10.16) unstable; urgency=medium

  * Update version to 5.10.16. community

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 25 Apr 2023 11:11:12 +0800

deepin-album (5.10.15) unstable; urgency=medium

  * fix: 修复相册窗口处于未激活状态下，相册导航栏图标未置灰的问题(Bug: 156983)
  * fix: 修复图片信息-仅展示基本信息时下边距过宽的问题(Bug: 156997)
  * fix: 修复大图模式删除图片，没有删除确认弹窗的问题(Bug: 157033)
  * fix: 修复相册视图-导航栏，相册名称没有tooltips提示文案的问题(Bug: 194271)
  * fix: 修复相册视图-侧边栏空白区域，可移动相册主界面的问题(Bug: 194203)
  * fix: 修复侧边栏导航项和标题栏按钮缺少hover样式的问题(Bug: 194199)
  * chore: 【UI】新建相册对话框，输入字体样式调整(Bug: 194207)
  * chore: 【UI】筛选下拉框样式调整(Bug: 194209)
  * chore: 【UI】标题栏布局调整，“+”按钮与系统按钮组间隔10px(Bug: 194217)
  * fix: 修复设备总数标签内容显示不全的问题(Bug: 194225)
  * chore: 【UI】侧边栏显示顺序调整，从上到下依次为照片库->相册->设备(Bug: 194229)
  * chore: 【UI】选中图标颜色跟随主题高亮颜色改变(Bug: 194241)
  * fix: 【UI】侧边栏-导航项名称，仅在显示不全时，才显示悬浮提示(Bug: 194271)
  * chore: 【UI】相册标题栏扁平按钮悬浮色调整，保持与侧边栏悬浮色一致(Bug: 194199)
  * fix: 【UI】修复暗色主题下，标题栏按钮悬浮色不对的问题(Bug: 194199)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 20 Apr 2023 15:14:54 +0800

deepin-album (5.10.14) unstable; urgency=medium

  * fix: 修复相册不能显示tiff图片的问题(Bug: 191409)
  * fix: 修复U盘格式化过程中，无法关闭相册应用的问题(Bug: 164375)
  * fix: 修复相册名称为单字符时，相册名会与顶部控件区域重叠的问题(Bug: 138675)
  * feat: 添加底栏模糊透明效果(Bug: 156957)
  * fix: 修复缩略图左右边距不一致的问题(Bug: 156959)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 13 Apr 2023 14:29:12 +0800
