## deepin-album 5.10.24

=== debian/changelog ===
deepin-album (5.10.24) unstable; urgency=medium

  * feat: add avif and heif image format file support

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Wed, 26 Jun 2024 10:14:20 +0800

deepin-album (5.10.23) unstable; urgency=medium

  * feat: Set greeter background when setting wallpaper(Bug: 32367)(Influence: SetWallpaper)
  * fix: Cached greeter background image too large(Bug: 247311)(Influence: SetWallpaper)
  * fix: Filter image format not support wallpaper(Bug: 247311)(Influence: SetWallpaper)

 -- renbin <renbin@uniontech.com>  Wed, 27 Mar 2024 15:33:48 +0800

deepin-album (5.10.22) unstable; urgency=medium

  * fix: Improve the function of batch exporting images(Bug: 237179)

 -- houchengqiu <houchengqiu@uniontech.com>  Thu, 01 Feb 2024 14:15:08 +0800
