=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, libimageeditor (>= 1.0.29)
 Description: Album for UOS
   Album is a fashion photo manager for viewing and organizing pictures.
-Recommends: uos-reporter,  deepin-event-log
+Recommends: uos-reporter,  deepin-event-log, kimageformat-plugins
 
 Package: libunionimage1
 Architecture: any
