=== src/CMakeLists.txt ===
--- 
+++ 
@@ -187,9 +187,9 @@
     target_include_directories(${PROJECT_NAME_TEST} PUBLIC ${3rd_lib_INCLUDE_DIRS} ${TIFF_INCLUDE_DIRS})
 endif()
 
-target_link_libraries(${PROJECT_NAME} ${3rd_lib_LIBRARIES} ${TIFF_LIBRARIES} freeimage imageviewer)
-if(DOTEST)
-    target_link_libraries(${PROJECT_NAME_TEST} ${3rd_lib_LIBRARIES} ${TIFF_LIBRARIES} freeimage imageviewer)
+target_link_libraries(${PROJECT_NAME} ${3rd_lib_LIBRARIES} ${TIFF_LIBRARIES} imageviewer)
+if(DOTEST)
+    target_link_libraries(${PROJECT_NAME_TEST} ${3rd_lib_LIBRARIES} ${TIFF_LIBRARIES} imageviewer)
 endif()
 #------------------添加第三方库end--------------------------#
