=== debian/changelog ===
deepin-album (5.10.25) unstable; urgency=medium

  * remove freeimage 

 -- Liu zheng <liuzheng@uniontech.com>  Fri, 15 Nov 2024 14:10:10 +0800
